Bug#617265: wesnoth-1.9: New version 1.9.4 is out for a long time already. PLEASE update.

Vincent Cheng vincentc1208 at gmail.com
Thu Mar 24 06:26:01 UTC 2011

If you're willing to use cdbs, it should be doable to work around upstream's
removal of autotools support.

Example debian/rules file:

#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/class/makefile.mk

cdbs and cmake would also have to be added to Build-Depends in

Ideally, Wesnoth would continue to support autotools, but that looks
unlikely at the moment. :(
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.alioth.debian.org/pipermail/pkg-games-devel/attachments/20110323/101515fc/attachment.htm>

More information about the Pkg-games-devel mailing list